: Class UserQueryEngine

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class UserQueryEngine

    java.lang.Object
      |
      +--UserQueryEngine

public class UserQueryEngine
extends java.lang.Object

Field Summary
`java.sql.Connection` | `con`

Constructor Summary
`UserQueryEngine()`

Method Summary
`void` | `addUserInfo(java.lang.String login, java.lang.String password, java.lang.String firstName, java.lang.String lastName, java.lang.String email, java.lang.String gender, java.lang.String address, java.lang.String city, java.lang.String dateOfBirth)`
`void` | `generalUserRating(java.lang.String userLogin, java.io.PrintWriter out)`
`void` | `getUserInfo(java.io.PrintWriter out, java.lang.String login)`
`void` | `insertSellerRatedAs(java.lang.String productId, java.lang.String winnerRatedSellerAs, java.lang.String winnerLogin, java.lang.String sellerLogin)`
`void` | `insertWinnerRatedAs(java.lang.String productId, java.lang.String sellerRatedWinnerAs, java.lang.String winnerLogin, java.lang.String sellerLogin)`
`boolean` | `isLoginPresent(java.lang.String login)`
`boolean` | `isSuspendedUser(java.lang.String login)`
`boolean` | `isValidUser(java.lang.String login, java.lang.String password)`
`java.lang.String` | `sellerRatedWinnerAs(java.lang.String productId)`
`void` | `updateSellerRatedAs(java.lang.String productId, java.lang.String winnerRatedSellerAs)`
`void` | `updateUserInfo(java.lang.String loginName, java.lang.String oldPassword, java.lang.String newPassword, java.lang.String firstName, java.lang.String lastName, java.lang.String email, java.lang.String gender, java.lang.String address, java.lang.String city)`
`void` | `updateWinnerRatedAs(java.lang.String productId, java.lang.String sellerRatedWinnerAs)`
`void` | `userQueryFive(java.io.PrintWriter out, java.lang.String login)`
`void` | `userQueryFour(java.io.PrintWriter out, java.lang.String login)`
`void` | `userQueryOne(java.io.PrintWriter out, java.lang.String login)`
`void` | `userQueryThree(java.io.PrintWriter out, java.lang.String login)`
`void` | `userQueryTwo(java.io.PrintWriter out, java.lang.String login)`
`java.lang.String` | `winnerRatedSellerAs(java.lang.String productId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### con

    public java.sql.Connection con

Constructor Detail

### UserQueryEngine

    public UserQueryEngine()

Method Detail

### isValidUser

    public boolean isValidUser(java.lang.String login,
                               java.lang.String password)

### isLoginPresent

    public boolean isLoginPresent(java.lang.String login)

### isSuspendedUser

    public boolean isSuspendedUser(java.lang.String login)

### addUserInfo

    public void addUserInfo(java.lang.String login,
                            java.lang.String password,
                            java.lang.String firstName,
                            java.lang.String lastName,
                            java.lang.String email,
                            java.lang.String gender,
                            java.lang.String address,
                            java.lang.String city,
                            java.lang.String dateOfBirth)

### updateUserInfo

    public void updateUserInfo(java.lang.String loginName,
                               java.lang.String oldPassword,
                               java.lang.String newPassword,
                               java.lang.String firstName,
                               java.lang.String lastName,
                               java.lang.String email,
                               java.lang.String gender,
                               java.lang.String address,
                               java.lang.String city)

### getUserInfo

    public void getUserInfo(java.io.PrintWriter out,
                            java.lang.String login)

### userQueryOne

    public void userQueryOne(java.io.PrintWriter out,
                             java.lang.String login)

### userQueryTwo

    public void userQueryTwo(java.io.PrintWriter out,
                             java.lang.String login)

### userQueryThree

    public void userQueryThree(java.io.PrintWriter out,
                               java.lang.String login)

### userQueryFour

    public void userQueryFour(java.io.PrintWriter out,
                              java.lang.String login)

### userQueryFive

    public void userQueryFive(java.io.PrintWriter out,
                              java.lang.String login)

### updateWinnerRatedAs

    public void updateWinnerRatedAs(java.lang.String productId,
                                    java.lang.String sellerRatedWinnerAs)

### updateSellerRatedAs

    public void updateSellerRatedAs(java.lang.String productId,
                                    java.lang.String winnerRatedSellerAs)

### insertWinnerRatedAs

    public void insertWinnerRatedAs(java.lang.String productId,
                                    java.lang.String sellerRatedWinnerAs,
                                    java.lang.String winnerLogin,
                                    java.lang.String sellerLogin)

### insertSellerRatedAs

    public void insertSellerRatedAs(java.lang.String productId,
                                    java.lang.String winnerRatedSellerAs,
                                    java.lang.String winnerLogin,
                                    java.lang.String sellerLogin)

### winnerRatedSellerAs

    public java.lang.String winnerRatedSellerAs(java.lang.String productId)

### sellerRatedWinnerAs

    public java.lang.String sellerRatedWinnerAs(java.lang.String productId)

### generalUserRating

    public void generalUserRating(java.lang.String userLogin,
                                  java.io.PrintWriter out)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD